# ribosome

# Translating E. coli 70S ribosome in the unrotated state (P and E, tRNAs)
# DOI: https://doi.org/10.1038/s41467-023-36742-3

#-----PyMol Header------------------------------- 

reinitialize
# set the background color to white
bg_color white
# make the background transparent for ray trace 
set ray_opaque_background, 0
# set the ray trace mode
# normal color
set ray_trace_mode, 0
# normal color + black outline
# set ray_trace_mode,  1
# black outline only
#set ray_trace_mode,  2
# turn off shadows during ray trace
set ray_shadows, 0
# set the mouse mode for laptop.
config_mouse one_button
# get rid of double bonds and skinny bonds to H
set stick_h_scale, 1
set valence, 0
# fror high quality surfaces set this to 3 (very slow)
set surface_quality, 1
# use these commands to control the rainbow
# util.cbc(selection='(all)',first_color=7,quiet=1,legacy=0,_self=cmd)
# spectrum count, wheat palegreen lightblue paleyellow lightpink lightorange salmon palegreen lightblue paleyellow lightpink lightorange wheat palegreen lightblue paleyellow lightpink lightorange salmon palegreen lightblue paleyellow lightpink lightorange, obj and resi 1-522
# set cartoon_cylindrical_helices,1
# create protein, polymer.protein
# create RNA, polymer.nucleic
## ---------End of Header----------------#

fetch 8B0X

create protein, polymer.protein
create RNA, polymer.nucleic

color palegreen, RNA
color salmon, protein

hide everything
show surface, RNA
show surface, protein
set_view (\
     0.056603096,   -0.093803465,    0.993979275,\
    -0.994997621,   -0.087343752,    0.048416469,\
     0.082277581,   -0.991752386,   -0.098278098,\
     0.000000000,    0.000000000, -793.000610352,\
   203.075744629,  199.563842773,  208.178665161,\
   642.269592285,  943.731689453,  -20.000000000 )
ray 2000,2000
save ribosome.png

hide everything, RNA
show cartoon, RNA
set_view (\
     0.056603096,   -0.093803465,    0.993979275,\
    -0.994997621,   -0.087343752,    0.048416469,\
     0.082277581,   -0.991752386,   -0.098278098,\
     0.000000000,    0.000000000, -793.000610352,\
   203.075744629,  199.563842773,  208.178665161,\
   642.269592285,  943.731689453,  -20.000000000 )
ray 2000,2000
save ribosome_1.png

util.cbc(selection='(protein)',first_color=7,quiet=1,legacy=0,_self=cmd)
ray 2000,2000
save ribosome_2.png

set cartoon_ring_finder, 2

ray 2000,2000
save ribosome_3.png

pwd 